Note: This troubleshooting is only applied for the FC with build-in Frsky SPI Rx.


If the firmware version of the FC is lower than Betaflight 4.0.0, it can only support FCC.

If the firmware version of the FC is Betaflight 4.0.0 or higher than Betaflight 4.0.0, it supports to change from FCC to LBT or change from LBT to FCC.



The Method of Changing LBT to FCC

  • For Frsky D16,  in the Configuration tab, for Receiver Mode, choose SPI PX support; For SPI Bus Receiver Provider, choose FRSKY_X. And click the Save and Reboot button in the lower right corner.



  • For Frsky D8,  in the Configuration tab, for Receiver Mode, choose SPI PX support; For SPI Bus Receiver Provider, choose FRSKY_D. And click the Save and Reboot button in the lower right corner.


The Method of Changing FCC to LBT

Note: The FRSKY_X_LBT is only available on the Betaflight betaflight Configurator 10.5.x.


In the Configuration tab, for Receiver Mode, choose SPI PX support; For SPI Bus Receiver Provider, choose FRSKY_X_LBT. And click the Save and Reboot button in the lower right corner.